From 0ea49d4866a5288c46d740ccb271434b1dd750d9 Mon Sep 17 00:00:00 2001
From: Todd Zullinger <tmz@pobox.com>
Date: Sat, 9 May 2009 17:32:10 -0400
Subject: [PATCH] Update gpg key data for Fedora 11

For F-11, separate test and stable keys are no longer used.
---
 fedoraproject.org/data/content/keys.html   |    4 +-
 fedoraproject.org/data/content/verify.html |    2 +-
 fedoraproject.org/static/D22E77F2.txt      |   32 ++++++++++++++--------------
 fedoraproject.org/static/fedora.gpg        |   30 +++++++++++++-------------
 4 files changed, 34 insertions(+), 34 deletions(-)

diff --git a/fedoraproject.org/data/content/keys.html b/fedoraproject.org/data/content/keys.html
index 564550a..8ecaaa7 100644
--- a/fedoraproject.org/data/content/keys.html
+++ b/fedoraproject.org/data/content/keys.html
@@ -57,11 +57,11 @@ sub  4096g/C1527A5F 2008-08-27</pre>
 
     <h2>${Markup(_('Currently used keys'))}</h2>
 
-    <h3>RPM-GPG-KEY-fedora-test-11-primary</h3>
+    <h3>RPM-GPG-KEY-fedora-11-primary</h3>
     <p>
       <pre class="command">pub   4096R/D22E77F2 2009-01-19
       Key fingerprint = AEE4 0C04 E345 60A7 1F04  3D7C 1DC5 C758 D22E 77F2
-uid                  Fedora (11 Testing) &lt;fedora@fedoraproject.org&gt;</pre>
+uid                  Fedora (11) &lt;fedora@fedoraproject.org&gt;</pre>
     </p>
     <p>
       <ul>
diff --git a/fedoraproject.org/data/content/verify.html b/fedoraproject.org/data/content/verify.html
index f6c3922..b23f641 100644
--- a/fedoraproject.org/data/content/verify.html
+++ b/fedoraproject.org/data/content/verify.html
@@ -41,7 +41,7 @@
     ${Markup(_('The CHECKSUM file should have a good signature from one of the following keys:'))}
     </p>
     <ul>
-        <li><code>FIXME</code> - ${Markup(_('Fedora 11'))}</li>
+        <li><code>D22E77F2</code> - ${Markup(_('Fedora 11'))}</li>
         <li><code>4EBFC273</code> - ${Markup(_('Fedora 10'))}</li>
         <li><code>0B86274E</code> - ${Markup(_('Fedora 10 pre-releases'))}</li>
         <li><code>4F2A6FD2</code> - ${Markup(_('Fedora 9 and earlier'))}</li>
diff --git a/fedoraproject.org/static/D22E77F2.txt b/fedoraproject.org/static/D22E77F2.txt
index e3f7182..87b5c91 100644
--- a/fedoraproject.org/static/D22E77F2.txt
+++ b/fedoraproject.org/static/D22E77F2.txt
@@ -1,7 +1,7 @@
-pub  4096R/D22E77F2 2009-01-19 Fedora (11 Testing) <fedora@fedoraproject.org>
+pub  4096R/D22E77F2 2009-01-19 Fedora (11) <fedora@fedoraproject.org>
 
 -----BEGIN PGP PUBLIC KEY BLOCK-----
-Version: GnuPG v1.4.5 (GNU/Linux)
+Version: GnuPG v1.4.9 (GNU/Linux)
 
 mQINBEl1CHEBEACn5bv6rGJW50UJ59QoI5E27q04g3Gv8bH5/wtk8NjwvgTCtGRd
 hfXCWvd4OGZjN67m0tsWmJltC7pCv6i3pnaVsVWo1u36+aoZtdP1tqv7CD3QlnLK
@@ -14,18 +14,18 @@ zHROos8KRvTlTXeKj2SsNvjQKrbyQGT0AXVBcuXLbbDjijaIF8EE4SFXkCyU5Do9
 H2ssiBFSHZG0SljVu6vG5YaTwgyB24+1jb/eTSz/wa/Kh8u1loZnWb/F0K2UnA6M
 frDnlpdBskgMjBFXnzOqRYqzyQRCBe4T2IbkzUnQYeiqvJAiVsdVG5/TncxCzhfA
 E9t2gjilRcWGRl8W96M0mHlw2uMkLRDN4BfwmWePlQQ8fGKma+PiO4E9rQARAQAB
-tC5GZWRvcmEgKDExIFRlc3RpbmcpIDxmZWRvcmFAZmVkb3JhcHJvamVjdC5vcmc+
-iQI2BBMBAgAgBQJJdQhxAhsDBgsJCAcDAgQVAggDBBYCAwECHgECF4AACgkQHcXH
-WNIud/Ja1xAAmnNzBcvepZf7zAlwKrS4iGCI1zFCR3kiUGqeCP/DuMpwRkylis6R
-NGIJwmSocEn7WcIskgdZZDlU0EDfPF2rRuX3WPkhT4pZNSqyLp0TuNVpMKim8kUu
-OU9YlCZW8376zCLKOy0YjIJIGsq7S51JURtGtS4d1sb2NwgakFNz0kBStUtzIuFa
-iz4NxOsFMs2M/7rtZgaLAUzrrlkxPtK12k3JgKiVKp/pLwwkKELtQA3GwVP+s/Gi
-Pf7nID8UQ1VzvIHbeHueixYmUChk/lUeP6+NjyDOdr0Vl5m5qX52PDO/o2PkVskm
-UurvyTjE2z3JxGVXWru1hizcr8jpAx/E45LyY/RQh3UEnO9llOxxbPtm3nl2Yp9N
-Wd5az0jZTZRoenPyNnMQopZaEsH+cINdKwCzM5BC1nDwYKQjNPkUb0NS/tX2rpzs
-ZYcy0/Lfg4aEmnToiruBym1aB3oDo31d4slKaShv/EAbbeIio/B5jydV65+ucCVD
-j2twwJH40ooDn0PuJq7KWPC3s+6S92QUV88YA4wypGVAsThiYEIPKkxsy9EWYMhA
-5PUNQ2cIPqxT7cg2/mJbHL58IqceW6uKYxFM8pDZnhGW7CX/VXw2MtrUlWKmHkYL
-+rf8LdjtAakZE5behqfKoGmYn8iPThX81o9OcB9mblC82MNU4KzDAoA=
-=pXEj
+tCZGZWRvcmEgKDExKSA8ZmVkb3JhQGZlZG9yYXByb2plY3Qub3JnPokCNgQTAQIA
+IAUCSe4UCQIbAwYLCQgHAwIEFQIIAwQWAgMBAh4BAheAAAoJEB3Fx1jSLnfygm0P
+/RIMXuhggaKzYYSrtv4GH8F96643WwmuoGl0hZydNt3WwJCy+pNAmFkCK1NG0K6Y
+HC/7jWKImpl61q0XJwygOZAfpy6DNKsIQkfJdk7afZHruXrapphIbf127pfSayu9
+bWHKc6ZovZ3tt8XjH7p9cU+qfidmTyUVJheIJyLQ9C+Cand3XJ6tR+1catKcGYWR
+Zjjr0gxQWj3T4ow4VP9rju8BRYItgDcfqWSK06HAkp/AbCqJQSwBF5m9mSYokOA2
+YQuYwAcDMjl/dEoGgzm+OLoyj3+mkeMdQTMnjvEirtsVBai5CzHlhukAqUpBBMV4
+MQmNMkYKCCbt/uOuy+Uj6caV1HITZmDUOAu3Qr9Ur1tG4lggLTKSCWrc6sBGdg3Y
+w04XkHppU32bPYPX2QGqMJh9QOQAciZIw22NNffDUI0f467cJ7j+nv1M9lsd5voZ
+BiHN5d7abDr81q22+m7tQzdy2UvYXT0tsEHS6DUWvo4PUW2/IpUOv8SUytxTACiY
+EGYA00q5Ax+h8FPXo1v7Dd2GksLduyByaW0p7P2VyjJTsqkMVEQ2wRNCE8eipg2s
+xpsSU9M29uf7/goHDI6pfXpN+q2uPTLucCEIjG5bDICw3uwWLCJ+AXYLiPzCtn7j
+TaPTZVVFnbBFu75zklD8EtJ1fHJngYTq7yIMNKOJQTyQ
+=moZO
 -----END PGP PUBLIC KEY BLOCK-----
diff --git a/fedoraproject.org/static/fedora.gpg b/fedoraproject.org/static/fedora.gpg
index 2b87307..4ce8e1a 100644
--- a/fedoraproject.org/static/fedora.gpg
+++ b/fedoraproject.org/static/fedora.gpg
@@ -112,19 +112,19 @@ sOOKNogXwQThIVeQLJTkOj3qYSS4TAxx1nwpALbmAXmOUzQb6dmZxKBmKftviNG8
 UQ9n5Zs/MHnXCKOY+6Jp1ZMfayyIEVIdkbRKWNW7q8blhpPCDIHbj7WNv95NLP/B
 r8qHy7WWhmdZv8XQrZScDox+sOeWl0GySAyMEVefM6pFirPJBEIF7hPYhuTNSdBh
 6Kq8kCJWx1Ubn9OdzELOF8AT23aCOKVFxYZGXxb3ozSYeXDa4yQtEM3gF/CZZ4+V
-BDx8YqZr4+I7gT2tABEBAAG0LkZlZG9yYSAoMTEgVGVzdGluZykgPGZlZG9yYUBm
-ZWRvcmFwcm9qZWN0Lm9yZz6JAjYEEwECACAFAkl1CHECGwMGCwkIBwMCBBUCCAME
-FgIDAQIeAQIXgAAKCRAdxcdY0i538lrXEACac3MFy96ll/vMCXAqtLiIYIjXMUJH
-eSJQap4I/8O4ynBGTKWKzpE0YgnCZKhwSftZwiySB1lkOVTQQN88XatG5fdY+SFP
-ilk1KrIunRO41WkwqKbyRS45T1iUJlbzfvrMIso7LRiMgkgayrtLnUlRG0a1Lh3W
-xvY3CBqQU3PSQFK1S3Mi4VqLPg3E6wUyzYz/uu1mBosBTOuuWTE+0rXaTcmAqJUq
-n+kvDCQoQu1ADcbBU/6z8aI9/ucgPxRDVXO8gdt4e56LFiZQKGT+VR4/r42PIM52
-vRWXmbmpfnY8M7+jY+RWySZS6u/JOMTbPcnEZVdau7WGLNyvyOkDH8TjkvJj9FCH
-dQSc72WU7HFs+2beeXZin01Z3lrPSNlNlGh6c/I2cxCilloSwf5wg10rALMzkELW
-cPBgpCM0+RRvQ1L+1faunOxlhzLT8t+DhoSadOiKu4HKbVoHegOjfV3iyUppKG/8
-QBtt4iKj8HmPJ1Xrn65wJUOPa3DAkfjSigOfQ+4mrspY8Lez7pL3ZBRXzxgDjDKk
-ZUCxOGJgQg8qTGzL0RZgyEDk9Q1DZwg+rFPtyDb+Ylscvnwipx5bq4pjEUzykNme
-EZbsJf9VfDYy2tSVYqYeRgv6t/wt2O0BqRkTlt6Gp8qgaZifyI9OFfzWj05wH2Zu
-ULzYw1TgrMMCgA==
-=Zykm
+BDx8YqZr4+I7gT2tABEBAAG0JkZlZG9yYSAoMTEpIDxmZWRvcmFAZmVkb3JhcHJv
+amVjdC5vcmc+iQI2BBMBAgAgBQJJ7hQJAhsDBgsJCAcDAgQVAggDBBYCAwECHgEC
+F4AACgkQHcXHWNIud/KCbQ/9Egxe6GCBorNhhKu2/gYfwX3rrjdbCa6gaXSFnJ02
+3dbAkLL6k0CYWQIrU0bQrpgcL/uNYoiamXrWrRcnDKA5kB+nLoM0qwhCR8l2Ttp9
+keu5etqmmEht/Xbul9JrK71tYcpzpmi9ne23xeMfun1xT6p+J2ZPJRUmF4gnItD0
+L4Jqd3dcnq1H7Vxq0pwZhZFmOOvSDFBaPdPijDhU/2uO7wFFgi2ANx+pZIrTocCS
+n8BsKolBLAEXmb2ZJiiQ4DZhC5jABwMyOX90SgaDOb44ujKPf6aR4x1BMyeO8SKu
+2xUFqLkLMeWG6QCpSkEExXgxCY0yRgoIJu3+467L5SPpxpXUchNmYNQ4C7dCv1Sv
+W0biWCAtMpIJatzqwEZ2DdjDTheQemlTfZs9g9fZAaowmH1A5AByJkjDbY0198NQ
+jR/jrtwnuP6e/Uz2Wx3m+hkGIc3l3tpsOvzWrbb6bu1DN3LZS9hdPS2wQdLoNRa+
+jg9Rbb8ilQ6/xJTK3FMAKJgQZgDTSrkDH6HwU9ejW/sN3YaSwt27IHJpbSns/ZXK
+MlOyqQxURDbBE0ITx6KmDazGmxJT0zb25/v+CgcMjql9ek36ra49Mu5wIQiMblsM
+gLDe7BYsIn4BdguI/MK2fuNNo9NlVUWdsEW7vnOSUPwS0nV8cmeBhOrvIgw0o4lB
+PJA=
+=NqMa
 -----END PGP PUBLIC KEY BLOCK-----
-- 
1.6.3