From a772cddeb3a48a0c4a2bc682d8dd2f3441990d1f Mon Sep 17 00:00:00 2001
From: Todd Zullinger <tmz@pobox.com>
Date: Fri, 7 Aug 2009 20:59:35 -0400
Subject: [PATCH 1/2] fp.o: Add Fedora 12 key (57BBCCBA)

---
 fedoraproject.org/data/content/keys.html   |   13 +++++
 fedoraproject.org/data/content/verify.html |    1 +
 fedoraproject.org/static/57BBCCBA.txt      |   31 +++++++++++
 fedoraproject.org/static/fedora.gpg        |   76 ++++++++++++++++++----------
 4 files changed, 95 insertions(+), 26 deletions(-)
 create mode 100644 fedoraproject.org/static/57BBCCBA.txt

diff --git a/fedoraproject.org/data/content/keys.html b/fedoraproject.org/data/content/keys.html
index a670bd3..58e84aa 100644
--- a/fedoraproject.org/data/content/keys.html
+++ b/fedoraproject.org/data/content/keys.html
@@ -56,6 +56,19 @@ pub  4096R/D22E77F2 2009-01-19 Fedora (11) &lt;fedora@fedoraproject.org&gt;
 
     <h2>${Markup(_('Currently used keys'))}</h2>
 
+    <h3>RPM-GPG-KEY-fedora-12-primary</h3>
+    <p>
+      <pre class="command">pub   4096R/57BBCCBA 2009-07-29
+      Key fingerprint = 6BF1 78D2 8A78 9C74 AC0D  C63B 9D1C C348 57BB CCBA
+uid                  Fedora (12) &lt;fedora@fedoraproject.org&gt;</pre>
+    </p>
+    <p>
+      <ul>
+        <li>${Markup(_('Download: &lt;a href="https://fedoraproject.org/static/57BBCCBA.txt"&gt;Fedora Project&lt;/a&gt;'))}</li>
+        <li>${Markup(_('Download: &lt;a href="http://keys.gnupg.net:11371/pks/lookup?search=0x57BBCCBA&amp;op=get"&gt;keys.gnupg.net&lt;/a&gt;'))}</li>
+      </ul>
+    </p>
+
     <h3>RPM-GPG-KEY-fedora-11-primary</h3>
     <p>
       <pre class="command">pub   4096R/D22E77F2 2009-01-19
diff --git a/fedoraproject.org/data/content/verify.html b/fedoraproject.org/data/content/verify.html
index 680ff1b..2576dd8 100644
--- a/fedoraproject.org/data/content/verify.html
+++ b/fedoraproject.org/data/content/verify.html
@@ -42,6 +42,7 @@
     ${Markup(_('The CHECKSUM file should have a good signature from one of the following keys:'))}
     </p>
     <ul>
+        <li><code>57BBCCBA</code> - ${Markup(_('Fedora 12'))}</li>
         <li><code>D22E77F2</code> - ${Markup(_('Fedora 11'))}</li>
         <li><code>4EBFC273</code> - ${Markup(_('Fedora 10'))}</li>
         <li><code>0B86274E</code> - ${Markup(_('Fedora 10 pre-releases'))}</li>
diff --git a/fedoraproject.org/static/57BBCCBA.txt b/fedoraproject.org/static/57BBCCBA.txt
new file mode 100644
index 0000000..b34966b
--- /dev/null
+++ b/fedoraproject.org/static/57BBCCBA.txt
@@ -0,0 +1,31 @@
+pub  4096R/57BBCCBA 2009-07-29 Fedora (12) <fedora@fedoraproject.org>
+
+-----BEGIN PGP PUBLIC KEY BLOCK-----
+Version: GnuPG v1.4.5 (GNU/Linux)
+
+mQINBEpvl68BEADHaID3riLF8dKEplScdHDoLvVSQA7w4KzRF3sC+4qmh6qxWxvb
+blUlrtkN9jn049g7JEydtBmqmhJpixtq0vMeiHSyyGgl5B1DfQnNCUUJUM+SKdLN
+1XjrsifYlYkpKiWWhStESwHAYeR+NS6ahPqHS2ZRtnSYsVGzr568YOMUqsfh7xOH
+/nugJEY7dHh+BkRkQlG2Sq7w1aIq5cLtHskUhIWG5odUbkzplEvv+t0OFxQfRh47
+l+PknILo7ecyrL55SzD/+R8ANqMu3BeMocwCga7pSl6RfZjdvLC8p8HhJ5gwGzGj
+3YxjLoga0lWNVIhsq/LpS9vPD2mVHsVlSLHsZSTSDr3zQf2nSlaxzZb9zWAW3cVR
+EXy9Ly835b6HFTPqgkclkymV31eDI1BU1AT/5gp7lrzUNA7xbvtQy4VrML/gCO/I
+4G7j5qOIZewlxEMHM1GvEPLPbnC4X3NmKmRogvxg9Sir7DHOq3uHDBQlBYi7FzBG
+QvjgjgjpGcmPLTVuuhzGLr8XFH5Gk3kSji7mrDxAW3sD/16ZQ5xzT8HEx4L+bdCw
+R+i2SpOvKLt2DPeFykAFnpkgHwkqCYtZhzT8QZ/9JR9UvRqPNskkB+41R/jgMw4+
+77dXYNdiL7502vpCvPqaqRuf0kWag9bq1ZBwsqUDz7FV1gvH0Tv+sugBHQARAQAB
+tCZGZWRvcmEgKDEyKSA8ZmVkb3JhQGZlZG9yYXByb2plY3Qub3JnPokCNgQTAQIA
+IAUCSm+XrwIbDwYLCQgHAwIEFQIIAwQWAgMBAh4BAheAAAoJEJ0cw0hXu8y6N2QP
+/R9wYh4bHYIUOv8ysc188PKXgvHFLGTIJOigqgIFfIl4FP92NlxorVLxQ5M59KWR
+DACsBwKNF4pVXTlULJQc6Mq3noNdFPyvYRfDPXUdOKPX3xNy0NHiuHPuXk8c7T6W
+yaBlZBy5oKaBq1LdoIsaw1vMnyd3Hdo/nh1fcZ19sqGtLwV5t4dmzOSACTi1Fpn+
+/mNKi1xrBwE7tvFpE08zW3uYTK3RKP300mRpcRqG66IVVuHdhRT6jTteyL/vHaw4
+jVyUg040JbJ1itZaqUcLagkSDRw04D1PxllVGr4laHlBEjdoqKwZV5PvMs6AE+zx
+GyFuFtRvAiOPO62g35uZBncGGZaTC+WwXWEaPkjPHxOFVTqemVamL11vEUDfSQqv
+ui9Ul24E06mb5AsHsyiptyrmUDbbpz6Wyo60kaMWSEISoiTGAIFMSimfLVkQLYAQ
+L5Q5AM/rnIHibd6PGFD0Twv7DMp429rw1ItosNRPA6G/BVi0FadN0OoPF5RBJU7z
+4xt0jy5mDHfX2Fc2xSbZPKV9lrvJd8KYdRXCIDwH9e0Dvlf7pw4lvxDvh1WtSbj2
+eNaJlTIksj/Qb3lbdMrZ72GNnIJF1gRkzjFg9ICaGrhMHQQ8phjwC4ME1h6iEVAJ
+5InJW4stZl1Bdl1NdxvQIbboVmtruN2VhgKKbXEFk1f+
+=f8U5
+-----END PGP PUBLIC KEY BLOCK-----
diff --git a/fedoraproject.org/static/fedora.gpg b/fedoraproject.org/static/fedora.gpg
index 0c46fa7..80a0d1e 100644
--- a/fedoraproject.org/static/fedora.gpg
+++ b/fedoraproject.org/static/fedora.gpg
@@ -94,30 +94,54 @@ emlTfZs9g9fZAaowmH1A5AByJkjDbY0198NQjR/jrtwnuP6e/Uz2Wx3m+hkGIc3l
 3tpsOvzWrbb6bu1DN3LZS9hdPS2wQdLoNRa+jg9Rbb8ilQ6/xJTK3FMAKJgQZgDT
 SrkDH6HwU9ejW/sN3YaSwt27IHJpbSns/ZXKMlOyqQxURDbBE0ITx6KmDazGmxJT
 0zb25/v+CgcMjql9ek36ra49Mu5wIQiMblsMgLDe7BYsIn4BdguI/MK2fuNNo9Nl
-VUWdsEW7vnOSUPwS0nV8cmeBhOrvIgw0o4lBPJCZAaIEReilMhEEAJkMEw6gU5qQ
-CNrHDUteN5K+H+SYTfl9TWtd8ztPQBXfU0BMIsWXkJCI0MDihat4NOGDYF/r4shV
-OwZBvVX5de4tqTgSbnJNjAxNUH//j+czFARumX9AHZfCUnsRDS9b6SI8PP/ukcnP
-WnWMAPN32xBCJwy3PKxLipPaLkDbePRXAKDU8H+WliqjRmFZOt6/EoxrWffgVwP9
-ERq+PSFItAVNoo0sdGi1FMXxXQFqONJpORRPi6T9FNpnwqvWZOixW2iyqZ0gADZc
-fGLxkuJU89J7MmN8SWxKo4DEQo8vR2N+mnbCtOaX/WJWdf49kfkNEoJuN0IwsMmF
-hqnthSFw+wwZJ5QqvCYEIElQ9zoOGMW/KED0gyXVPT4D/1IpO/3hOg/8ligJMdOC
-cbkyhU1p+Kx97TCiM/aZZTiBGTxfh00YoyPqWJy8zqCd7eERLKNyplKavvIQs88a
-Ej0w1q4no5vxxNHZPXYWa/3DTcMPcycGy1Hq+E9BypkqFzlIlhhjuhV/GVI58XjF
-/BwdAqgPlM4rAgBDpPyPIWkptCRGZWRvcmEgRVBFTCA8ZXBlbEBmZWRvcmFwcm9q
-ZWN0Lm9yZz6IZAQTEQIAJAUCReilMgIbAwUJEswDAAYLCQgHAwIDFQIDAxYCAQIe
-AQIXgAAKCRARnMA2IXUh9puZAKDO8TrQycdI4FpldcXu5TZXO7wQ6QCgqD2H6PQ2
-42ibpZRhnIlC3jNzmx65Ag0EReilNhAIANqmdH9uWsnwWGWA0+XRf1LckT+TKA9s
-1ciqd7hcFViKxWnS7M0JFTE1mrfQyljTbskKzYmcvZ8ynC/Hfd/SmFTTb2+shkoD
-cKaefBWyNxZ8wk5U8GZU3ublsZTrwX491EhwOyU8w5ZEuRMFk4aiUuAhszjvX1+o
-Dx617Agutfq4+9EPDLBXv+w8IWlFx800FRj5nHflt/h+eRoIrGBeBBLcBP6EZiGX
-MipBVOQY294dOe3hJLOACpH2xLBDCq8R9W1g15LDmsOC4sbjUdCbUeiO/n0c1iMf
-oX9LWsKVmLbVsuBlsqkIVfvqo+3wJPD6JAsE893Kg4Yd/PKnuex+FSsAAwUH/38f
-0amTzbZmkF7FBbjLcsYWj1lKea76545k9TdKoMANbWi9l1jMa4lMYYz2gyXpsvx5
-mtxQEE4VpaB7nBlzMgTeHHZ7EQ6QN2+r4xQNUPVrGY3jmr/uHU1hGnkZAvZmyhXi
-D1TaAx3Mc4W1kIRHo8/0StWV8mmAFQJ1Iv3dXgdKCmSTvOeZM6SVsIzqX8b8Dqri
-wJGp/MfBVJOKu7JMGJT2V9E6wCXx+MirY7NYnZM/2xp0F7WWVRhqjDu3FhJTGyxb
-7z1q9y3fmAjKsFuh/kz4IFfIA5RpJaakzZ65vbjSpuqJKv9jo6bS3q9LNHyBGTuD
-7UfogTRO3UgkK8IAyKaITwQYEQIADwUCReilNgIbDAUJEswDAAAKCRARnMA2IXUh
-9lBiAKCJkcK/jFv6xMcKf+i1zU6++L86AwCdFdhtuwsVY5+bMCc0ga8VFbL5geI=
-=vifB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+=KeWg
 -----END PGP PUBLIC KEY BLOCK-----
-- 
1.6.4.1