From b178d5fcfcbb0ccdc08ec546dfd9a1019b0f9882 Mon Sep 17 00:00:00 2001
From: Todd Zullinger <tmz@pobox.com>
Date: Sun, 23 Aug 2009 22:41:53 -0400
Subject: [PATCH 2/2] fp.o: Prepare for F12-Alpha

---
 fedoraproject.org/data/content/get-fedora.html     |    1 +
 fedoraproject.org/data/content/get-prerelease.html |   48 ++++++++++----------
 2 files changed, 25 insertions(+), 24 deletions(-)

diff --git a/fedoraproject.org/data/content/get-fedora.html b/fedoraproject.org/data/content/get-fedora.html
index b05a52f..fa78424 100644
--- a/fedoraproject.org/data/content/get-fedora.html
+++ b/fedoraproject.org/data/content/get-fedora.html
@@ -7,6 +7,7 @@
         <title>${Markup(_('Fedora Project'))}</title>
     </head>
     <body class="get">
+        <p class="note"><img src="${path}/static/images/smirk.png" class="smirk" />${Markup(_('Did someone say... &amp;ldquo;&lt;a href="get-prerelease"&gt;Alpha&lt;/a&gt;&amp;rdquo;?'))}</p>
         <h2>${Markup(_('Fedora, For You.'))}</h2>
         <div class="download-sidebar" >
             <a id="kde-banner" href="${path}/${lang}/get-fedora-kde"><span>${_('KDE fans, go here!')}</span></a>
diff --git a/fedoraproject.org/data/content/get-prerelease.html b/fedoraproject.org/data/content/get-prerelease.html
index 6615846..735c2a0 100644
--- a/fedoraproject.org/data/content/get-prerelease.html
+++ b/fedoraproject.org/data/content/get-prerelease.html
@@ -10,36 +10,36 @@
   </head>
   <body class="get">
     <h2>${Markup(_('Fedora, For You.'))}</h2>
-    <p class="warning">${Markup(_('This is pre-release software. The Fedora Project makes no guarantees as to its suitability or usefulness. All issues should be reported via the &lt;a href="https://bugzilla.redhat.com/"&gt;Red Hat Bugzilla&lt;/a&gt;.  Read the &lt;a href="http://docs.fedoraproject.org/release-notes/f11preview/"&gt;Preview Release Notes&lt;/a&gt; for more information.'))}</p>
+    <p class="warning">${Markup(_('This is pre-release software. The Fedora Project makes no guarantees as to its suitability or usefulness. All issues should be reported via the &lt;a href="https://bugzilla.redhat.com/"&gt;Red Hat Bugzilla&lt;/a&gt;.  Read the &lt;a href="http://docs.fedoraproject.org/release-notes/f12/"&gt;Release Notes&lt;/a&gt; for more information.'))}</p>
     <h3>${Markup(_('Install Media'))}</h3>
     <ul class="downloadbox installdvd">
       <li>
       <h4>${Markup(_('BitTorrent'))}</h4>
       <ul>
-        <li><a href="http://torrent.fedoraproject.org/torrents/Fedora-11-Preview-i386-DVD.torrent">${Markup(_('i386'))}</a> - ${Markup(_('Install DVD'))}</li>
-        <li><a href="http://torrent.fedoraproject.org/torrents/Fedora-11-Preview-x86_64-DVD.torrent">${Markup(_('x86_64'))}</a> - ${Markup(_('Install DVD'))}</li>
-        <li style="margin-top: 1.25ex;"><a href="http://torrent.fedoraproject.org/torrents/Fedora-11-Preview-i386-CDs.torrent">${_('i386')}</a> - ${_('Install CDs')}</li>
-        <li><a href="http://torrent.fedoraproject.org/torrents/Fedora-11-Preview-x86_64-CDs.torrent">${_('x86_64')}</a> - ${_('Install CDs')}</li>
-        <li><a href="http://torrent.fedoraproject.org/torrents/Fedora-11-Preview-ppc-CDs.torrent">${_('ppc')}</a> - ${_('Install CDs')}</li>
+        <li><a href="http://torrent.fedoraproject.org/torrents/Fedora-12-Alpha-i386-DVD.torrent">${Markup(_('i386'))}</a> - ${Markup(_('Install DVD'))}</li>
+        <li><a href="http://torrent.fedoraproject.org/torrents/Fedora-12-Alpha-x86_64-DVD.torrent">${Markup(_('x86_64'))}</a> - ${Markup(_('Install DVD'))}</li>
+        <li style="margin-top: 1.25ex;"><a href="http://torrent.fedoraproject.org/torrents/Fedora-12-Alpha-i386-CDs.torrent">${_('i386')}</a> - ${_('Install CDs')}</li>
+        <li><a href="http://torrent.fedoraproject.org/torrents/Fedora-12-Alpha-x86_64-CDs.torrent">${_('x86_64')}</a> - ${_('Install CDs')}</li>
+        <li><a href="http://torrent.fedoraproject.org/torrents/Fedora-12-Alpha-ppc-CDs.torrent">${_('ppc')}</a> - ${_('Install CDs')}</li>
       </ul>
       </li>
       <li>
       <h4>${Markup(_('Direct Download'))}</h4>
       <ul>
-        <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/11-Preview/Fedora/i386/iso/Fedora-11-Preview-i386-DVD.iso">${Markup(_('i386'))}</a> - ${Markup(_('Install DVD'))}</li>
-        <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/11-Preview/Fedora/x86_64/iso/Fedora-11-Preview-x86_64-DVD.iso">${Markup(_('x86_64'))}</a> - ${Markup(_('Install DVD'))}</li>
-        <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/11-Preview/Fedora/ppc/iso/Fedora-11-Preview-ppc-DVD.iso">${Markup(_('ppc'))}</a> - ${Markup(_('Install DVD'))}</li>
-        <li style="margin-top: 1.25ex;"><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/11-Preview/Fedora/i386/iso/">${_('i386')}</a> - ${_('Install CDs')}</li>
-        <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/11-Preview/Fedora/x86_64/iso/">${_('x86_64')}</a> - ${_('Install CDs')}</li>
-        <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/11-Preview/Fedora/ppc/iso/">${_('ppc')}</a> - ${_('Install CDs')}</li>
+        <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/12-Alpha/Fedora/i386/iso/Fedora-12-Alpha-i386-DVD.iso">${Markup(_('i386'))}</a> - ${Markup(_('Install DVD'))}</li>
+        <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/12-Alpha/Fedora/x86_64/iso/Fedora-12-Alpha-x86_64-DVD.iso">${Markup(_('x86_64'))}</a> - ${Markup(_('Install DVD'))}</li>
+        <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/12-Alpha/Fedora/ppc/iso/Fedora-12-Alpha-ppc-DVD.iso">${Markup(_('ppc'))}</a> - ${Markup(_('Install DVD'))}</li>
+        <li style="margin-top: 1.25ex;"><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/12-Alpha/Fedora/i386/iso/">${_('i386')}</a> - ${_('Install CDs')}</li>
+        <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/12-Alpha/Fedora/x86_64/iso/">${_('x86_64')}</a> - ${_('Install CDs')}</li>
+        <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/12-Alpha/Fedora/ppc/iso/">${_('ppc')}</a> - ${_('Install CDs')}</li>
       </ul>
       </li>
       <li>
       <h4>${_('Jigdo')}</h4>
       <ul>
-        <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/11-Preview/Fedora/i386/jigdo/">${_('i386')}</a></li>
-        <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/11-Preview/Fedora/x86_64/jigdo/">${_('x86_64')}</a></li>
-        <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/11-Preview/Fedora/ppc/jigdo/">${_('ppc')}</a></li>
+        <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/12-Alpha/Fedora/i386/jigdo/">${_('i386')}</a></li>
+        <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/12-Alpha/Fedora/x86_64/jigdo/">${_('x86_64')}</a></li>
+        <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/12-Alpha/Fedora/ppc/jigdo/">${_('ppc')}</a></li>
       </ul>
       </li>
     </ul>
@@ -48,15 +48,15 @@
       <li>
       <h4>${Markup(_('BitTorrent'))}</h4>
       <ul>
-        <li><a href="http://torrent.fedoraproject.org/torrents/F11-Preview-i686-Live.torrent">${Markup(_('i686'))}</a> - ${Markup(_('Live CD'))}</li>
-        <li><a href="http://torrent.fedoraproject.org/torrents/F11-Preview-x86_64-Live.torrent">${Markup(_('x86_64'))}</a> - ${Markup(_('Live CD'))}</li>
+        <li><a href="http://torrent.fedoraproject.org/torrents/F12-Alpha-i686-Live.torrent">${Markup(_('i686'))}</a> - ${Markup(_('Live CD'))}</li>
+        <li><a href="http://torrent.fedoraproject.org/torrents/F12-Alpha-x86_64-Live.torrent">${Markup(_('x86_64'))}</a> - ${Markup(_('Live CD'))}</li>
       </ul>
       </li>
       <li>
       <h4>${Markup(_('Direct Download'))}</h4>
       <ul>
-        <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/11-Preview/Live/i686/F11-Preview-i686-Live.iso">${Markup(_('i686'))}</a> - ${Markup(_('Live CD'))}</li>
-        <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/11-Preview/Live/x86_64/F11-Preview-x86_64-Live.iso">${Markup(_('x86_64'))}</a> - ${Markup(_('Live CD'))}</li>
+        <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/12-Alpha/Live/i686/F12-Alpha-i686-Live.iso">${Markup(_('i686'))}</a> - ${Markup(_('Live CD'))}</li>
+        <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/12-Alpha/Live/x86_64/F12-Alpha-x86_64-Live.iso">${Markup(_('x86_64'))}</a> - ${Markup(_('Live CD'))}</li>
       </ul>
       </li>
     </ul>
@@ -66,15 +66,15 @@
       <li>
       <h4>${Markup(_('BitTorrent'))}</h4>
       <ul>
-        <li><a href="http://torrent.fedoraproject.org/torrents/F11-Preview-i686-Live-KDE.torrent">${Markup(_('i686'))}</a> - ${Markup(_('Live CD'))}</li>
-        <li><a href="http://torrent.fedoraproject.org/torrents/F11-Preview-x86_64-Live-KDE.torrent">${Markup(_('x86_64'))}</a> - ${Markup(_('Live CD'))}</li>
+        <li><a href="http://torrent.fedoraproject.org/torrents/F12-Alpha-i686-Live-KDE.torrent">${Markup(_('i686'))}</a> - ${Markup(_('Live CD'))}</li>
+        <li><a href="http://torrent.fedoraproject.org/torrents/F12-Alpha-x86_64-Live-KDE.torrent">${Markup(_('x86_64'))}</a> - ${Markup(_('Live CD'))}</li>
       </ul>
       </li>
       <li>
       <h4>${Markup(_('Direct Download'))}</h4>
       <ul>
-        <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/11-Preview/Live/i686/F11-Preview-i686-Live-KDE.iso">${Markup(_('i686'))}</a> - ${Markup(_('Live CD'))}</li>
-        <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/11-Preview/Live/x86_64/F11-Preview-x86_64-Live-KDE.iso">${Markup(_('x86_64'))}</a> - ${Markup(_('Live CD'))}</li>
+        <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/12-Alpha/Live/i686/F12-Alpha-i686-Live-KDE.iso">${Markup(_('i686'))}</a> - ${Markup(_('Live CD'))}</li>
+        <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/12-Alpha/Live/x86_64/F12-Alpha-x86_64-Live-KDE.iso">${Markup(_('x86_64'))}</a> - ${Markup(_('Live CD'))}</li>
       </ul>
       </li>
     </ul>
@@ -82,7 +82,7 @@
     <h3>${Markup(_('Let me look around...'))}</h3>
     <ul class="download">
       <li><a href="http://torrent.fedoraproject.org/">${Markup(_('See all torrents'))}</a></li>
-      <li><a href="http://mirrors.fedoraproject.org/publiclist/Fedora/11-Preview/">${Markup(_('See all mirrors'))}</a></li>
+      <li><a href="http://mirrors.fedoraproject.org/publiclist/Fedora/12-Alpha/">${Markup(_('See all mirrors'))}</a></li>
       <li><a href="http://spins.fedoraproject.org/">${Markup(_('See all custom spins'))}</a></li>
     </ul>
   </body>
-- 
1.6.4.1