Index: git.spec
===================================================================
RCS file: /cvs/extras/rpms/git/F-10/git.spec,v
retrieving revision 1.76
diff -u -p -r1.76 git.spec
--- git.spec	20 Dec 2008 17:39:13 -0000	1.76
+++ git.spec	3 Jan 2009 03:30:32 -0000
@@ -1,7 +1,7 @@
 # Pass --without docs to rpmbuild if you don't want the documentation
 Name: 		git
 Version: 	1.6.0.6
-Release: 	1%{?dist}
+Release: 	2%{?dist}
 Summary:  	Core git tools
 License: 	GPLv2
 Group: 		Development/Tools
@@ -131,20 +131,25 @@ Requires:      git = %{version}-%{releas
 %setup -q
 %patch0 -p1
 
+# Use these same options for every invocation of 'make'.
+# Otherwise it will rebuild in %%install due to flags changes.
+%define make_git \
+make %{_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" \\\
+     ETC_GITCONFIG=%{_sysconfdir}/gitconfig \\\
+     DESTDIR=$RPM_BUILD_ROOT \\\
+     DOCBOOK_XSL_172=YesPlease \\\
+     INSTALLDIRS=vendor \\\
+     THREADED_DELTA_SEARCH=YesPlease \\\
+     gitexecdir=%{_bindir} \\\
+     prefix=%{_prefix}
+
 %build
-make %{_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" \
-     ETC_GITCONFIG=/etc/gitconfig \
-     gitexecdir=%{_bindir} \
-     prefix=%{_prefix} all %{!?_without_docs: doc}
+%{make_git} all %{!?_without_docs: doc}
 make -C contrib/emacs
 
 %install
 rm -rf $RPM_BUILD_ROOT
-make %{_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" DESTDIR=$RPM_BUILD_ROOT \
-     prefix=%{_prefix} mandir=%{_mandir} \
-     ETC_GITCONFIG=/etc/gitconfig \
-     gitexecdir=%{_bindir} \
-     INSTALLDIRS=vendor install %{!?_without_docs: install-doc}
+%{make_git} install %{!?_without_docs: install-doc}
 make -C contrib/emacs install \
 		 emacsdir=$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
 for elc in $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/*.elc ; do
@@ -261,6 +266,11 @@ rm -rf $RPM_BUILD_ROOT
 # No files for you!
 
 %changelog
+* Thu Jan 01 2009 Todd Zullinger <tmz@pobox.com> 1.6.0.6-2
+- Enable parallel delta searching when packing objects (Roland McGrath)
+- Consolidate build/install options in %%make_git (Roland McGrath)
+- Define DOCBOOK_XSL_172 to fix minor manpage issues
+
 * Sat Dec 20 2008 Todd Zullinger <tmz@pobox.com> 1.6.0.6-1
 - git-1.6.0.6
 - Fixes a local privilege escalation bug in gitweb