Index: kipi-plugins-use-libgpod-0.6.0.patch
===================================================================
RCS file: kipi-plugins-use-libgpod-0.6.0.patch
diff -N kipi-plugins-use-libgpod-0.6.0.patch
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ kipi-plugins-use-libgpod-0.6.0.patch	19 Feb 2009 21:31:26 -0000
@@ -0,0 +1,215 @@
+This is a revert of upstream svn rev 918089.  It restores support for
+libgpod < 0.7.0.
+
+--- kipi-plugins-0.2.0-rc2/ipodexport/CMakeLists.txt.libgpod-0.6.0	2009-02-14 02:54:10.000000000 -0500
++++ kipi-plugins-0.2.0-rc2/ipodexport/CMakeLists.txt	2009-02-19 14:27:55.000000000 -0500
+@@ -1,6 +1,6 @@
+ ADD_DEFINITIONS(-DQT3_SUPPORT -DQT3_SUPPORT_WARNINGS)
+ 
+-INCLUDE_DIRECTORIES(${GPOD_INCLUDE_DIR} ${GLIB2_INCLUDE_DIR} ${GDK_INCLUDE_DIR})
++INCLUDE_DIRECTORIES(${GPOD_INCLUDE_DIR} ${GLIB2_INCLUDE_DIR})
+ 
+ SET(kipiplugin_ipodexport_PART_SRCS
+     plugin_ipodexport.cpp
+@@ -18,7 +18,6 @@
+                       ${KDE4_KDE3SUPPORT_LIBS}
+                       ${KDE4_KDEUI_LIBS}
+                       ${GPOD_LIBRARIES}
+-                      ${GDK_LIBRARIES}
+                       kipiplugins
+                       kipi
+                       kio
+--- kipi-plugins-0.2.0-rc2/ipodexport/IpodExportDialog.cpp.libgpod-0.6.0	2009-02-14 02:54:10.000000000 -0500
++++ kipi-plugins-0.2.0-rc2/ipodexport/IpodExportDialog.cpp	2009-02-19 14:27:55.000000000 -0500
+@@ -20,11 +20,6 @@
+  *
+  * ============================================================ */
+ 
+-// System Includes
+-extern "C" {
+-#include <gdk-pixbuf/gdk-pixbuf.h>
+-}
+-
+ // Local includes.
+ 
+ #include "IpodHeader.h"
+@@ -427,13 +422,9 @@
+         return;
+ 
+     Itdb_Artwork *artwork = item->artwork();
+-    GdkPixbuf *gpixbuf = NULL;
+-    
+-    // First arg in itdb_artwork_get_pixbuf(...) is pointer to Itdb_Device struct,
+-    // in kipiplugin-ipodexport it is m_itdb->device. i hope it _is_ initialiezed
+-    gpixbuf = (GdkPixbuf*) itdb_artwork_get_pixbuf( m_itdb->device, artwork, -1, -1 );
++    Itdb_Thumb *thumb = itdb_artwork_get_thumb_by_type( artwork, ITDB_THUMB_PHOTO_SMALL );
+ 
+-    if( !gpixbuf )
++    if( !thumb )
+     {
+         kDebug(51000) << "no thumb was found" << endl;
+         return;
+@@ -448,9 +439,6 @@
+ //     QPixmap pix;
+ //     pix.convertFromImage( image );
+ //     m_ipodPreview->setPixmap( pix );
+-    
+-    // memory release
+-    gdk_pixbuf_unref ( gpixbuf );
+ }
+ 
+ void UploadDialog::imageSelected( QTreeWidgetItem *item )
+--- kipi-plugins-0.2.0-rc2/cmake/modules/FindGpod.cmake.libgpod-0.6.0	2009-02-14 02:53:31.000000000 -0500
++++ kipi-plugins-0.2.0-rc2/cmake/modules/FindGpod.cmake	2009-02-19 14:27:55.000000000 -0500
+@@ -23,32 +23,25 @@
+   pkg_check_modules(PC_GPOD libgpod-1.0)
+ 
+   set(GPOD_DEFINITIONS ${PC_GPOD_CFLAGS_OTHER})
+-  
+-  exec_program(${PKGCONFIG_EXECUTABLE} ARGS --atleast-version=0.7.0 libgpod-1.0 OUTPUT_VARIABLE _pkgconfigDevNull RETURN_VALUE GPOD_VERSION_OKAY)
+ 
+ endif( NOT WIN32 )
+ 
+-if (GPOD_VERSION_OKAY STREQUAL "0")
++FIND_PATH(GPOD_INCLUDE_DIR NAMES gpod/itdb.h
++  PATHS
++  ${PC_GPOD_INCLUDEDIR}
++  ${PC_GPOD_INCLUDE_DIRS}
++  PATH_SUFFIXES gpod-1.0
++)
++
++FIND_LIBRARY(GPOD_LIBRARIES NAMES gpod
++  PATHS
++  ${PC_GPOD_LIBDIR}
++  ${PC_GPOD_LIBRARY_DIRS}
++)
++
++include(FindPackageHandleStandardArgs)
++FIND_PACKAGE_HANDLE_STANDARD_ARGS(Gpod DEFAULT_MSG GPOD_INCLUDE_DIR GPOD_LIBRARIES )
++
++# show the GPOD_INCLUDE_DIR and GPOD_LIBRARIES variables only in the advanced view
++MARK_AS_ADVANCED(GPOD_INCLUDE_DIR GPOD_LIBRARIES )
+ 
+-  FIND_PATH(GPOD_INCLUDE_DIR NAMES gpod/itdb.h
+-    PATHS
+-    ${PC_GPOD_INCLUDEDIR}
+-    ${PC_GPOD_INCLUDE_DIRS}
+-    PATH_SUFFIXES gpod-1.0
+-  )
+-  
+-  FIND_LIBRARY(GPOD_LIBRARIES NAMES gpod
+-    PATHS
+-    ${PC_GPOD_LIBDIR}
+-    ${PC_GPOD_LIBRARY_DIRS}
+-  )
+-  
+-  include(FindPackageHandleStandardArgs)
+-  FIND_PACKAGE_HANDLE_STANDARD_ARGS(Gpod DEFAULT_MSG GPOD_INCLUDE_DIR GPOD_LIBRARIES )
+-  
+-  # show the GPOD_INCLUDE_DIR and GPOD_LIBRARIES variables only in the advanced view
+-  MARK_AS_ADVANCED(GPOD_INCLUDE_DIR GPOD_LIBRARIES )
+-
+-else (GPOD_VERSION_OKAY STREQUAL "0")
+-    set(GPOD_FOUND FALSE)
+-endif (GPOD_VERSION_OKAY STREQUAL "0")
+--- kipi-plugins-0.2.0-rc2/cmake/modules/FindGdk.cmake.libgpod-0.6.0	2009-02-14 02:53:31.000000000 -0500
++++ kipi-plugins-0.2.0-rc2/cmake/modules/FindGdk.cmake	2009-02-19 14:27:55.000000000 -0500
+@@ -1,48 +0,0 @@
+-# - Try to find the GDK library
+-# Once done this will define
+-#
+-#  GDK_FOUND - system has GDK
+-#  GDK_INCLUDE_DIR - the GDK include directory
+-#  GDK_LIBRARIES - Link these to use GDK
+-#  GDK_DEFINITIONS - Compiler switches required for using GDK
+-#
+-
+-if (GDK_INCLUDE_DIR AND GDK_LIBRARIES)
+-
+-  # in cache already
+-  SET(GDK_FOUND TRUE)
+-
+-else (GDK_INCLUDE_DIR AND GDK_LIBRARIES)
+-  if(NOT WIN32)
+-    # use pkg-config to get the directories and then use these values
+-    # in the FIND_PATH() and FIND_LIBRARY() calls
+-    INCLUDE(UsePkgConfig)
+-  
+-    PKGCONFIG(gdk-pixbuf-2.0 _GDKIncDir _GDKLinkDir _GDKLinkFlags _GDKCflags)
+-  
+-    set(GDK_DEFINITIONS ${_GDKCflags})
+-  endif(NOT WIN32)
+-
+-  FIND_PATH(GDK_INCLUDE_DIR gdk-pixbuf/gdk-pixbuf.h /usr/include/gtk-2.0
+-    ${_GDKIncDir}
+-  )
+-  
+-  FIND_LIBRARY(GDK_LIBRARIES NAMES gdk_pixbuf-2.0
+-    PATHS
+-    ${_GDKLinkDir}
+-  )
+-
+-  if (GDK_INCLUDE_DIR AND GDK_LIBRARIES)
+-    SET(GDK_FOUND TRUE)
+-  else (GDK_INCLUDE_DIR AND GDK_LIBRARIES)
+-    SET(GDK_FOUND FALSE)
+-  endif (GDK_INCLUDE_DIR AND GDK_LIBRARIES)
+-
+-  include(FindPackageHandleStandardArgs)
+-  FIND_PACKAGE_HANDLE_STANDARD_ARGS(Gdk DEFAULT_MSG GDK_INCLUDE_DIR GDK_LIBRARIES )
+- 
+-  MARK_AS_ADVANCED(GDK_INCLUDE_DIR GDK_LIBRARIES)
+-  
+-endif (GDK_INCLUDE_DIR AND GDK_LIBRARIES)
+-
+-macro_bool_to_01(GDK_FOUND GDK_FOUND)
+--- kipi-plugins-0.2.0-rc2/CMakeLists.txt.libgpod-0.6.0	2009-02-14 03:03:18.000000000 -0500
++++ kipi-plugins-0.2.0-rc2/CMakeLists.txt	2009-02-19 14:27:55.000000000 -0500
+@@ -52,7 +52,6 @@
+ MACRO_OPTIONAL_FIND_PACKAGE(OpenGL)     # For AdvancedSlideshow and ImageViewer.
+ MACRO_OPTIONAL_FIND_PACKAGE(OpenCV)     # For RemoveRedEyes.
+ MACRO_OPTIONAL_FIND_PACKAGE(Gpod)       # For ipodexport.
+-MACRO_OPTIONAL_FIND_PACKAGE(Gdk)        # For ipodexport.
+ MACRO_OPTIONAL_FIND_PACKAGE(GLIB2)      # For ipodexport.
+ MACRO_OPTIONAL_FIND_PACKAGE(GObject)    # For ipodexport.
+ MACRO_OPTIONAL_FIND_PACKAGE(KdepimLibs) # For Calendar (libkcal).
+@@ -202,12 +201,6 @@
+     MESSAGE(STATUS " libgpod library found............... NO  (optional)")
+ ENDIF(GPOD_FOUND)
+ 
+-IF(GDK_FOUND)
+-    MESSAGE(STATUS " Gdk library found................... YES (optional)")
+-ELSE(GDK_FOUND)
+-    MESSAGE(STATUS " Gdk library found................... NO  (optional)")
+-ENDIF(GDK_FOUND)
+-
+ IF(KDEPIMLIBS_FOUND)
+     MESSAGE(STATUS " libkdepim library found............. YES (optional)")
+ ELSE(KDEPIMLIBS_FOUND)
+@@ -287,11 +280,11 @@
+     MESSAGE(STATUS " RemoveRedEyes will be compiled...... NO  (optional - Look README file for more details about dependencies)")
+ ENDIF(OPENCV_FOUND)
+ 
+-IF(GPOD_FOUND AND GLIB2_FOUND AND GOBJECT_FOUND AND GDK_FOUND)
++IF(GPOD_FOUND AND GLIB2_FOUND AND GOBJECT_FOUND)
+     MESSAGE(STATUS " IpodExport will be compiled......... YES (optional)")
+-ELSE(GPOD_FOUND AND GLIB2_FOUND AND GOBJECT_FOUND AND GDK_FOUND)
++ELSE(GPOD_FOUND AND GLIB2_FOUND AND GOBJECT_FOUND)
+     MESSAGE(STATUS " IpodExport will be compiled......... NO  (optional - Look README file for more details about dependencies)")
+-ENDIF(GPOD_FOUND AND GLIB2_FOUND AND GOBJECT_FOUND AND GDK_FOUND)
++ENDIF(GPOD_FOUND AND GLIB2_FOUND AND GOBJECT_FOUND)
+ 
+ IF(KDEPIMLIBS_FOUND)
+     MESSAGE(STATUS " Calendar will be compiled........... YES (optional)")
+@@ -366,9 +359,9 @@
+        ADD_SUBDIRECTORY(calendar)
+     ENDIF(KDEPIMLIBS_FOUND)
+ 
+-    IF(GPOD_FOUND AND GLIB2_FOUND AND GOBJECT_FOUND AND GDK_FOUND)
++    IF(GPOD_FOUND AND GLIB2_FOUND AND GOBJECT_FOUND)
+        ADD_SUBDIRECTORY(ipodexport)
+-    ENDIF(GPOD_FOUND AND GLIB2_FOUND AND GOBJECT_FOUND AND GDK_FOUND)
++    ENDIF(GPOD_FOUND AND GLIB2_FOUND AND GOBJECT_FOUND)
+ 
+     IF(OPENCV_FOUND)
+         ADD_SUBDIRECTORY(removeredeyes)
Index: kipi-plugins.spec
===================================================================
RCS file: /cvs/pkgs/rpms/kipi-plugins/F-10/kipi-plugins.spec,v
retrieving revision 1.74
diff -u -p -r1.74 kipi-plugins.spec
--- kipi-plugins.spec	18 Feb 2009 21:46:49 -0000	1.74
+++ kipi-plugins.spec	19 Feb 2009 21:31:26 -0000
@@ -1,13 +1,11 @@
 # Fedora review: http://bugzilla.redhat.com/171504
 
 %define beta rc2
-# when/if libgpod-0.7 is available anywhere
-#define gpod 1
 
 Name:    kipi-plugins
 Summary: Plugins to use with Kipi
 Version: 0.2.0
-Release: 0.15.%{beta}%{?dist}
+Release: 0.15.%{beta}%{?dist}.1
 
 License: GPLv2+ and Adobe
 Group:   Applications/Multimedia
@@ -16,6 +14,7 @@ Source0: http://downloads.sourceforge.ne
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 Patch50: kipi-plugins-0.2.0-rc2-gcc44.patch
+Patch51: kipi-plugins-use-libgpod-0.6.0.patch 
 
 BuildRequires: exiv2-devel
 ## DNG converter
@@ -28,9 +27,7 @@ BuildRequires: kdelibs4-devel >= 4.2.0
 %global kdelibs4_version %((kde4-config --version 2>/dev/null || echo "KDE 4.2.0") | grep ^KDE | cut -d' ' -f2)
 Requires: kdelibs4 >= %{kdelibs4_version}
 BuildRequires: kdepimlibs-devel
-%if 0%{?gpod}
-BuildRequires: libgpod-devel >= 0.7
-%endif
+BuildRequires: libgpod-devel >= 0.4.2
 BuildRequires: libkipi-devel >= 0.3.0
 BuildRequires: libkdcraw-devel >= 0.4.0-2
 BuildRequires: libkexiv2-devel >= 0.5.0
@@ -78,6 +75,7 @@ PrintWizard        : print images in var
 %setup -q -n %{name}-%{version}%{?beta:-%{beta}}
 
 %patch50 -p1 -b .gcc44
+%patch51 -p1 -b .libgpod-0.6.0
 
 
 %build
@@ -142,9 +140,7 @@ xdg-desktop-menu forceupdate 2> /dev/nul
 %{_kde4_libdir}/kde4/kipiplugin_gpssync.so
 %{_kde4_libdir}/kde4/kipiplugin_htmlexport.so
 %{_kde4_libdir}/kde4/kipiplugin_imageviewer.so
-%if 0%{?gpod}
 %{_kde4_libdir}/kde4/kipiplugin_ipodexport.so
-%endif
 %{_kde4_libdir}/kde4/kipiplugin_jpeglossless.so
 %{_kde4_libdir}/kde4/kipiplugin_metadataedit.so
 %{_kde4_libdir}/kde4/kipiplugin_picasawebexport.so
@@ -167,6 +163,9 @@ xdg-desktop-menu forceupdate 2> /dev/nul
 
 
 %changelog
+* Thu Feb 19 2009 Todd Zullinger <tmz@pobox.com> - 0.2.0-0.15.rc2.1
+- Revert upstream patch requiring libgpod-0.7.0
+
 * Sat Feb 14 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.2.0-0.15.rc2
 - kipi-plugins-0.2.0-rc2
 