diff --git c/fedoraproject.org/data/templates/js.html w/fedoraproject.org/data/templates/js.html
index 8c536c5..4048fb7 100644
--- c/fedoraproject.org/data/templates/js.html
+++ w/fedoraproject.org/data/templates/js.html
@@ -7,5 +7,5 @@
   <script type="text/javascript" src="${path}/static/js/jquery.js"></script>
   <script type="text/javascript" src="${path}/static/js/jquery.expander.js"></script>
   <script type="text/javascript" src="${path}/static/js/custom.js"></script>
-
+  <script type="text/javascript" src="${path}/static/js/sponsor.js"></script>
 </html>
diff --git c/fedoraproject.org/data/templates/sidebar.html w/fedoraproject.org/data/templates/sidebar.html
index b7bfc73..1b3cc8a 100644
--- c/fedoraproject.org/data/templates/sidebar.html
+++ w/fedoraproject.org/data/templates/sidebar.html
@@ -34,6 +34,10 @@
           <input type="submit" value="OK" />
         </div>
       </form>
+      <h2>${_('Hosting Sponsor')}</h2>
+      <div id="hosting-sponsor">
+        <a href=""><img style="border: 0px none transparent;" alt="" src=""/></a>
+      </div>
     </div>
   </div>
 </html>
diff --git c/fedoraproject.org/httpd/conf/httpd.conf.in w/fedoraproject.org/httpd/conf/httpd.conf.in
index d6d0386..e4b416a 100644
--- c/fedoraproject.org/httpd/conf/httpd.conf.in
+++ w/fedoraproject.org/httpd/conf/httpd.conf.in
@@ -992,3 +992,5 @@ BrowserMatch "^Dreamweaver-WebDAV-SCM1" redirect-carefully
 ErrorDocument 404 /404
 
 Include "conf/languages.conf"
+
+Alias /static/js/sponsor.js @DOCUMENTROOT@/static/js/sponsors/redhat.js
diff --git c/fedoraproject.org/static/js/sponsors/ibiblio.js w/fedoraproject.org/static/js/sponsors/ibiblio.js
new file mode 100644
index 0000000..842b997
--- /dev/null
+++ w/fedoraproject.org/static/js/sponsors/ibiblio.js
@@ -0,0 +1,21 @@
+var sponsor = "ibiblio";
+
+var sponsor_banner = [
+    "/static/images/sponsors/" + sponsor + ".png",
+    "Hosted by Ibiblio",
+    "http://www.ibiblio.org"
+];
+
+window.onload = function() {
+
+  var image = sponsor_banner[0];
+  var alt = sponsor_banner[1];
+  var url = sponsor_banner[2];
+
+  var bannerlink = document.getElementById("hosting-sponsor").getElementsByTagName("a")[0];
+  bannerlink.setAttribute("href", url);
+
+  var bannerimg = document.getElementById("hosting-sponsor").getElementsByTagName("img")[0];
+  bannerimg.setAttribute("src", image);
+  bannerimg.setAttribute("alt", alt);
+}
diff --git c/fedoraproject.org/static/js/sponsors/redhat.js w/fedoraproject.org/static/js/sponsors/redhat.js
new file mode 100644
index 0000000..5e3ce4b
--- /dev/null
+++ w/fedoraproject.org/static/js/sponsors/redhat.js
@@ -0,0 +1,21 @@
+var sponsor = "redhat";
+
+var sponsor_banner = [
+    "/static/images/sponsors/" + sponsor + ".png",
+    "Hosted by Red Hat, Inc.",
+    "http://www.redhat.com"
+];
+
+window.onload = function() {
+
+  var image = sponsor_banner[0];
+  var alt = sponsor_banner[1];
+  var url = sponsor_banner[2];
+
+  var bannerlink = document.getElementById("hosting-sponsor").getElementsByTagName("a")[0];
+  bannerlink.setAttribute("href", url);
+
+  var bannerimg = document.getElementById("hosting-sponsor").getElementsByTagName("img")[0];
+  bannerimg.setAttribute("src", image);
+  bannerimg.setAttribute("alt", alt);
+}
diff --git c/fedoraproject.org/static/js/sponsors/telia.js w/fedoraproject.org/static/js/sponsors/telia.js
new file mode 100644
index 0000000..9d6582c
--- /dev/null
+++ w/fedoraproject.org/static/js/sponsors/telia.js
@@ -0,0 +1,21 @@
+var sponsor = "telia";
+
+var sponsor_banner = [
+    "/static/images/sponsors/" + sponsor + ".png",
+    "Hosted by TeliaSonera",
+    "http://www.teliasoneraic.com/"
+];
+
+window.onload = function() {
+
+  var image = sponsor_banner[0];
+  var alt = sponsor_banner[1];
+  var url = sponsor_banner[2];
+
+  var bannerlink = document.getElementById("hosting-sponsor").getElementsByTagName("a")[0];
+  bannerlink.setAttribute("href", url);
+
+  var bannerimg = document.getElementById("hosting-sponsor").getElementsByTagName("img")[0];
+  bannerimg.setAttribute("src", image);
+  bannerimg.setAttribute("alt", alt);
+}
diff --git c/fedoraproject.org/static/js/sponsors/tummy.js w/fedoraproject.org/static/js/sponsors/tummy.js
new file mode 100644
index 0000000..e7473fa
--- /dev/null
+++ w/fedoraproject.org/static/js/sponsors/tummy.js
@@ -0,0 +1,21 @@
+var sponsor = "tummy";
+
+var sponsor_banner = [
+    "/static/images/sponsors/" + sponsor + ".png",
+    "Hosted by Tummy",
+    "http://www.tummy.com"
+];
+
+window.onload = function() {
+
+  var image = sponsor_banner[0];
+  var alt = sponsor_banner[1];
+  var url = sponsor_banner[2];
+
+  var bannerlink = document.getElementById("hosting-sponsor").getElementsByTagName("a")[0];
+  bannerlink.setAttribute("href", url);
+
+  var bannerimg = document.getElementById("hosting-sponsor").getElementsByTagName("img")[0];
+  bannerimg.setAttribute("src", image);
+  bannerimg.setAttribute("alt", alt);
+}